# yamllint disable
# License: MIT (c) GitLab Inc.
# yamllint enable
---
rules:
- id: "python/crypto/rule-cipher_modes"
  languages:
  - "python"
  message: |
    Detected ECB cipher mode which is considered insecure. The algorithm canpotentially leak
    information about the plaintext. Use CBC mode instead.
  metadata:
    cwe: "CWE-327"
    owasp: "A3:2017-Sensitive Data Exposure"
    shortDescription: "Use of a Broken or Risky Cryptographic Algorithm"
  pattern: "cryptography.hazmat.primitives.ciphers.modes.ECB(...)"
  severity: "WARNING"
